> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md).

# 88. Mutacija: eksportuoti zonų žemėlapį kaip suglaudintą Shapefile

Sugeneruokite ZIP archyvą su pasirinktu „ZonesMap“ kaip shapefile failų rinkinį.

{% hint style="info" %}
Archyvą sudaro \*.shp, \*.shx, \*.prj ir \*.dbf failai, naudojant EPSG:4326 koordinačių sistemą.
{% endhint %}

### 1. Paruošimas

* Atributas `vectorAnalysisMaps` yra eksportuojamų ZonesMaps (VectorAnalysisMaps) objektų masyvas. Kiekviename tokiame objekte yra pora `fieldUuid` (nuoroda į pasirinktą lauką) ir `uuid` (nuoroda į pasirinktą ZonesMap).
* Loginis atributas `asMultiGeometry` nurodo, ar zonos eksportuojamos kaip `Polygons` arba `MultiPolygons` (kai reikšmė yra `true` ).
* Loginis atributas `onlyProductColumns` nurodo, ar į shapefile failų rinkinį įtraukti tik produktų (RX) stulpelius (kai reikšmė yra `true`). Kitu atveju stulpeliais bus įtraukti visi statistiniai atributai ir zonų ID.
* Atributas `archiveName` nurodo sugeneruoto ZIP archyvo pavadinimą.
* Atributas `filePostfix` leidžia prie eksportuotų failų ir archyvo pavadinimų pridėti pasirinktinį galūnės tekstą.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Atsisiųskite sugeneruotą archyvą

Įvykdžius GraphQL užklausą, archyvą galima atsisiųsti naudojant `curl` arba panašų būdą.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
